=== debian/changelog ===
golang-github-avast-retry-go (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #904923)

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sun, 29 Jul 2018 21:14:43 +0800
