=== debian/control ===
Source: golang-github-avast-retry-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.1.4
Homepage: https://github.com/avast/retry-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git
XS-Go-Import-Path: github.com/avast/retry-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-avast-retry-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: retry mechanism library for Go
 Simple Go library for retry mechanism.
 .
 It supports setting the count of retry, delay time, function callback
 for calling each retry and condition for calling to retry function.
