## golang-github-avast-retry-go 2.4.3

=== debian/changelog ===
golang-github-avast-retry-go (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Install examples
  * DH to version 12
  * Standards-Version: 4.4.1
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 12:55:32 +1100
