=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
-Build-Depends: debhelper (>= 11),
+Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>, Dmitry Smirnov <onlyjob@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/avast/retry-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git
