=== debian/changelog ===
golang-github-avast-retry-go (4.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Apply multi-arch hints.
    + golang-github-avast-retry-go-dev: Add Multi-Arch: foreign.

  [ Nicolas Schier ]
  * New upstream version 4.6.0
  * Bump standards version to 4.7.0 (no changes required)

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 02 May 2024 10:45:39 +0200
