=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>, Dmitry Smirnov <onlyjob@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/avast/retry-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git
@@ -18,6 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-stretchr-testify-dev
+Multi-Arch: foreign
 Description: retry mechanism library for Go
  Simple Go library for retry mechanism.
  .
